How install Staden 1.7.0 on linux?

  • Dear all
    i'm a new user on linux and i use Fedora Core 6.
    I would like know, what is the procedure for installing package staden.
    I tried a lot of test, i failled always :(
    My kernel is i686
    if somebody cam explain me step by step.
    I'm french so my english...:§
    Thanks to all
    And special thanks for all guy who want help me ;)

    • 1) In first download the io_lib 1.10.1 and package Staden-1-7-0  x86
      unzip and extract file from archive to tour home directoy
      2) Secondly move this 2 directory in /usr/local with comand mv
      3) go to direcoty io_lib 1.10.1:
      su -
      cd /usr/local/io_lib 1.10.1
      make install
      4) go to /etc and edit profile file
      cd /etc/
      kwrite profile &
      add in file this:
      export PATH=$PATH:/usr/local/staden-linux-1-7-0/linux-bin
      export STADENROOT=/usr/local/staden-linux-1-7-0
      . $STADENROOT/staden.profile
      5)type in console trev
      it's ok?
      6)type in console gap4
      if u have |stash error ........|
      2 solves :
      u are log on root then use user account
      or if u are|stash: error while loading shared libraries: cannot open shared object file: No such file or directory|
      duplicate and rename it
      7) Try in console: gap4
      8) Now if u are
      |couldn't read file "/usr/local/staden-linux-1-7-0/lib/iwidgets/iwidgets.tcl": no such file or directory |
      Go to /usr/local/share/ and copy directory iwidgets4.0.1 past this in /usr/local/staden-1-7-0/lib/
      now u are:
      go to /usr/local/staden-1-7-0/tables/
      and edit iwidgetsrc file:
      source $env(STADLIB)/iwidgets/iwidgets.tcl
      source $env(STADLIB)/iwidgets4.0.1/iwidgets.tcl

    • If u are now this problem:
      inux-bin]$ invalid command name "load_alignment_matrix"
      while executing
      "load_alignment_matrix [keylget gap_defs ALIGNMENT.MATRIX_FILE]"
      (file ".../staden-linux-1-7-0/linux-bin/../lib/gap/gap.tcl" line 683).

      write in console :
      export STADEN_DEBUG=1
      and run gap 4 at the commandline
      1) if u have this:
      load =>
      load =>
      load =>
      load => couldn't load file "": cannot open shared object file: No such file or directory
      load =>
      load =>
      load =>
      load =>
      load =>
      load =>
      then it's ok
      2)if u are a error at line load then u need install the package compat-gcc-34